import { Flex, IconButton, Text } from '@chakra-ui/core'
import { useState } from 'react'
import { FiFlag as reportIcon } from 'react-icons/fi'
import { PageContainer } from '@/components/layout/PageContainer'
import { SectionHead } from '@/components/common/SectionHead'

const SubSection = ({ number, children, ...props }) => (
  <Flex my="1em" alignItems="baseline" {...props}>
    <Text
      fontFamily="ChulaCharasNew"
      fontSize="22px"
      color="chula.Gray"
      fontWeight="bold"
    >
      {number}{' '}
    </Text>
    <Text
      fontFamily="ChulaCharasNew"
      fontSize="20px"
      color="chula.Gray"
      fontWeight="bold"
      ml="1em"
    >
      {children}
    </Text>
  </Flex>
)

const TermPage = () => {
  const [easterEgg, setEasterEgg] = useState(false)
  return (
    <PageContainer>
      <Flex direction="column" mt="1.5em">
        <Text
          fontFamily="CHULALONGKORN"
          fontSize="28px"
          color="chula.PrimaryPink"
          fontWeight="bold"
        >
          ข้อตกลงการใช้งานเว็บไซต์
        </Text>

        {/* <Text
          color="chula.Gray"
          fontFamily="Sarabun"
          fontSize="16px"
          as="i"
          mt="1em"
          ml="1em"
        >
          ด้วยมุ่งหมายในพันธกิจเแห่งเยาวชน ด้วยปณิธานปัญญาชนประชาธิปไตย
          ด้วยฝันในการปฏิวัติอันมวลประชาเป็นหมุดหมาย
          ด้วยเจตนารมณ์ดำเนินกิจการใดซึ่งประโยชน์ส่วนรวม
          <br />
          <br />
          ขอเชิญชวนเพื่อนนิสิตทั้งหลาย ร่วมกันก่อ ร่วมกันสร้างสังคมแห่งการพัฒนา
          บนหลักการแห่งประชาธิปไตย ดังนี้
        </Text> */}

        <SectionHead title="ส่วนที่ 1: วัตถุประสงค์ของ Voice of Chula" />
        <SubSection number="1.1" onClick={(e) => setEasterEgg(true)}>
          <Text color="black" fontFamily="ChulaCharasNew" as="b">
            Voice of Chula มีจุดประสงค์เพื่อการรับฟังเสียงจากนิสิตทุกท่าน
            ผู้ที่กำลังศึกษาในจุฬาลงกรณ์มหาวิทยาลัยระหว่างช่วงเวลาที่เปิดรับฟังเสียง{' '}
            ให้สามารถนำเสนอข้อมูล ข้อคิดเห็น หรือข้อวิพากษ์วิจารณ์อย่างเสรี
            โดยทุกเสียงที่ได้มีผู้แสดงต่อประเด็นรับฟังฯ
            จะถูกนำเสนอให้รับทราบโดยทั่วกันอย่างเสมอภาค
            แล้วนำทุกเสียงเข้าสู่กระบวนการนำเสนอนโยบายในกิจการต่าง ๆ
            เพื่อบรรลุต่อวัตถุประสงค์ของการรับฟังเสียงนั้นต่อไป
          </Text>
        </SubSection>
        <SubSection number="1.2">
          Voice of Chula
          มีจุดประสงค์เพื่อส่งเสริมวัฒนธรรมการวิพากษ์วิจารณ์อย่างเห็นอกเห็นใจเพื่อนมนุษย์
          การแลกเปลี่ยนและนำเสนอแนวคิดเพื่อพัฒนาการดำเนินงานทางสังคม
          และวัฒนธรรมการมีส่วนร่วมทางการเมืองของนิสิต
          ทั้งการเมืองในระดับสังคมขนาดเล็กไปจนถึงระดับสังคมขนาดใหญ่
        </SubSection>
        <SubSection number="1.3">
          Voice of Chula มีจุดประสงค์เพื่อส่งเสริมการแสดงออกบนหลักการแห่งเสรีภาพ
          กล่าวคือไม่กระทบต่อเสรีภาพหรือสิทธิอย่างหนึ่งอย่างใดของผู้อื่น
          ไม่ว่าจะเป็นต่อผู้ที่ร่วมแสดงเสียงบนระบบเว็บไซต์ก็ดี
          หรือผู้ร่วมเป็นสักขีพยานต่อการแสดงออกบนเว็บไซต์ก็ดี
        </SubSection>
        {/* <SubSection number="1.4">
          Voice of Chula มีจุดประสงค์เพื่อให้เกิดการแลกเปลี่ยนแนวคิด ประสบการณ์
          ความเห็นอกเห็นใจในมุมมองหรือความรู้สึกของเพื่อนนิสิตที่มีต่อประเด็นรับฟังเสียง
          เพื่อเสริมสร้างความตระหนักรู้ต่อประเด็นภายในสังคม
        </SubSection> */}

        <SectionHead title="ส่วนที่ 2: มาตรฐานชุมชนและเนื้อหาภายในระบบเว็บไซต์" />
        <SubSection number="2.1">
          ผู้ร่วมแสดงเสียงพึงร่วมกันรักษาคุณภาพของเนื้อหาที่ถูกนำเสนอในระบบเว็บไซต์
          เช่น ความถูกต้องของเนื้อหาที่ถูกนำเสนอ
          เพื่อดำรงไว้ซึ่งคุณค่าในการเป็นตัวแทนนำเสนอเสียงของนิสิตจุฬาฯ{' '}
          {
            'และเป็นเครื่องมือสำคัญในการนำเสนอทุกเสียงของนิสิต เพื่อประกอบการนำเสนอนโยบายในกิจการต่าง ๆ '
          }
          ทั้งในระดับมหาวิทยาลัย ประเทศชาติ และประชาคมโลก
        </SubSection>
        <SubSection number="2.2">
          ผู้ร่วมแสดงเสียงพึงร่วมกันวิพากษ์วิจารณ์อย่างมีอารยะ
          บนหลักการพื้นฐานแห่งประชาธิปไตย กล่าวคือวิพากษ์วิจารณ์บนหลักฐาน
          หลักการ และเหตุผลที่ชัดเจนในการแสดงความเห็นหรือโต้แย้งใด ๆ
        </SubSection>
        <SubSection number="2.3">
          ผู้ร่วมแสดงเสียงพึงรักษาการวิพากษ์วิจารณ์ของตนให้ตอบสนองต่อเจตนารมณ์และจุดประสงค์ของประเด็นรับฟังเสียง
          เพื่อการบรรลุเป้าหมายร่วมกันในการรับฟังอย่างสูงที่สุด
        </SubSection>
        <SubSection number="2.4">
          การแสดงออกซึ่งความเห็นหรือเนื้อหาที่เกี่ยวข้องต่าง ๆ ต้องเป็นไปโดยชอบ
          กล่าวคือไม่ขัดหรือแย้งกับกฎหมายแห่งราชอาณาจักรไทย
        </SubSection>
        <SubSection number="2.5">
          ร่วมกันรายงาน (Report:
          <IconButton
            aria-label=""
            icon={reportIcon}
            variant="ghost"
            variantColor="PrimaryPink"
            color="Gray.200"
          />
          ) เนื้อหาที่ไม่สร้างคุณค่าในมิติใด ๆ ต่อประเด็นรับฟังเสียง
          เพื่อรักษาบรรยากาศและคุณค่าของเนื้อหาภายในระบบเว็บไซต์
        </SubSection>

        <SectionHead title="ส่วนที่ 3: นโยบายคุ้มครองตัวตนผู้ใช้งาน และข้อเน้นย้ำเพื่อการใช้งานตามวัตถุประสงค์" />
        <SubSection number="3.1">
          Voice of Chula ดำเนินการปกป้องตัวตนของผู้ร่วมแสดงเสียงทุกท่าน
          <sup>1</sup> เพื่อให้ข้อมูล ข้อคิดเห็น
          และข้อวิพากษ์วิจารณ์ทั้งหมดได้ถูกแสดงออกมาโดยไม่ยึดติดกับตัวบุคคล
          รวมถึงเพื่อลดผลกระทบอันไม่ชอบธรรมที่อาจเกิดขึ้นต่อตัวบุคคลให้เหลือน้อยที่สุด
        </SubSection>
        <SubSection number="3.2">
          ผู้ร่วมแสดงเสียงต้องรับผิดชอบต่อผลการแสดงออกของตนเองที่มีต่อสังคม
          ทั้งในแง่ศีลธรรม จารีตประเพณี จนถึงผลทางกฎหมาย
          รวมไปถึงพึงรักษามารยาททางสังคมในการแสดงออกใด ๆ
          เฉกเช่นเดียวกับการวิพากษ์วิจารณ์แบบเปิดเผยตัวตนตามปกติ
        </SubSection>
        <SubSection number="3.3">
          พึงวิพากษ์วิจารณ์โดยเคารพในสิทธิ เสรีภาพ และความเป็นมนุษย์ของผู้อื่น
          ไม่เปิดเผยข้อมูลที่อาจเข้าข่ายคุกคามหรือละเมิดความเป็นส่วนตัวของบุคคลใด
          ๆ ทั้งต่อผู้ร่วมแสดงเสียงท่านอื่น และบุคคลอื่น ๆ
          (ผู้สามารถเข้าชมระบบรับฟังเสียงนี้ได้เท่านั้น) บนระบบเว็บไซต์
        </SubSection>

        <SectionHead title="ส่วนที่ 4: การรักษากฎระเบียบ บรรยากาศ และคุณภาพของเนื้อหาภายในเว็บไซต์" />
        <SubSection number="4.1">
          คณะกรรมการผู้ดูแลโครงการ Voice of Chula
          มีหน้าที่ในการร่วมดูแลเนื้อหาที่ปรากฏในระบบเว็บไซต์
          ให้บรรลุต่อเจตนารมณ์ของทุกประเด็นรับฟังเสียงรวมไปถึงเจตนารมณ์ระบบเว็บไซต์สูงสุด
          คณะกรรมการฯ ประกอบด้วยผู้แทนนิสิตดังต่อไปนี้:
          <SubSection number="4.1.1">
            นายกสโมสรนิสิตจุฬาลงกรณ์มหาวิทยาลัย ปีการศึกษา 2563
          </SubSection>
          <SubSection number="4.1.2">
            ประธานหรือผู้แทนฝ่ายพัฒนาระบบสารสนเทศ
            องค์การบริหารสโมสรนิสิตจุฬาลงกรณ์มหาวิทยาลัย ปีการศึกษา 2563
          </SubSection>
          <SubSection number="4.1.3">
            ประธานหรือผู้แทนฝ่ายสวัสดิการนิสิต
            องค์การบริหารสโมสรนิสิตจุฬาลงกรณ์มหาวิทยาลัย ปีการศึกษา 2563
          </SubSection>
          <SubSection number="4.1.4">
            ผู้แทนสภานิสิตจุฬาลงกรณ์มหาวิทยาลัย ปีการศึกษา 2563
          </SubSection>
        </SubSection>
        <SubSection number="4.2">
          หากเกิดเนื้อหาอันขัดหรือแย้งกับข้อตกลงฯ หรือเจตนารมณ์ของข้อตกลงฯ
          ดังกล่าว ทั้งเมื่อได้พบเห็นหรือได้รับการรายงานผ่านระบบรายงานเสียง
          (Report) คณะกรรมการฯ อาจดำเนินการเพื่อป้องกันในลักษณะต่าง ๆ
          ตามสมควรแก่เหตุ ซึ่งรวมถึงการดำเนินการดังต่อไปนี้:
          <SubSection number="4.2.1">
            ลบเนื้อหานั้นทันที ในกรณีที่เนื้อหานั้นขัดหรือแย้งข้อตกลงฯ
            อย่างชัดแจ้ง
          </SubSection>
          <SubSection number="4.2.2">
            ร่วมพิจารณาการดำเนินการต่อเนื้อหานั้นด้วยวิธีการลงมติ
            ในกรณีที่เนื้อหานั้นไม่สามารถตีความได้อย่างแน่ชัดในทันทีว่าขัดหรือแย้งกับข้อตกลงฯ
            โดยนำบริบทของเนื้อหานั้นเข้าร่วมประกอบการพิจารณา
            แล้วดำเนินการตามมติที่เกิดจากการร่วมพิจารณาต่อไป
          </SubSection>
          <SubSection number="4.2.3">
            ดำเนินการระงับบัญชีผู้ใช้งาน หรือช่วงเลขที่อยู่ไอพี
            เป็นระยะเวลาชั่วคราว
            ในกรณีที่ประธานหรือเจ้าหน้าที่ฝ่ายพัฒนาระบบสารสนเทศฯ
            พบว่ามีการใช้งานระบบ หรือลงเนื้อหาที่ขัดหรือแย้งกับข้อตกลงฯ
            ในลักษณะก่อกวน (Spam) เป็นจำนวนมากในหนึ่งหน่วยเวลา
            ซึ่งอาจก่อให้เกิดความล้มเหลวของต่อตัวบริการ (Server)
            ในการให้บริการผู้ใช้งานท่านอื่นได้
          </SubSection>
        </SubSection>
        <hr />
        <Text
          fontFamily="ChulaCharasNew"
          fontSize="14px"
          color="chula.Gray"
          fontWeight="bold"
          mt="1rem"
        >
          <sup>1</sup>{' '}
          ปกป้องข้อมูลผู้ร่วมแสดงเสียงให้เหลือเพียงคณะและชั้นปีเท่านั้น
          ซึ่งกระบวนการปกป้องดังกล่าวเกิดขึ้นทั้งระบบแสดงผลและระบบฐานข้อมูลของระบบเว็บไซต์
        </Text>
      </Flex>
    </PageContainer>
  )
}

export default TermPage
